<?php

class MLS_Trestle_Acris extends MLSProvider
{
    public $MLSP_ID = 1;
    public $Config = array();
    public $mlsRecord = array();
    public $Data;

    public static $Instance;

    public static function obj()
    {
        if(!is_object(self::$Instance))
            self::$Instance = new self();

        return self::$Instance;
    }

    public function __construct($isPopulateSchema=false)
    {
        global $config;

        # Make call to parent constructor
        parent::__construct();
    }

    #=========================================================================================================================
    #	Function Name	:   get_Pending_Document_Download_Sold_Listing
    #-------------------------------------------------------------------------------------------------------------------------
    public function get_Pending_Document_Download_Sold_Listing($MLSP_ID, $limit='', $status='', $propertyType='')
    {

        global $db;
        $addParams = '';

        if($status != '')
            $addParams .= " AND listing_status IN ('".str_replace(',', "','", $status)."')";

        if($propertyType != '')
            $addParams .= " AND property_type IN ('".str_replace(',', "','", $propertyType)."')";

        $sql	= " SELECT te_mlsp_id, sale_trans_id, county, street_name, street_number, street_suffix, unit_no, street_dir_suffix, address, tax_lot, tax_block"
            . " FROM ". $this->Data['Sales_Table']
            . " WHERE te_is_mark_for_deletion = 'N' AND te_mlsp_id = ". $MLSP_ID
            . " AND (te_doc_process_flag  = 'N' AND te_doc_process_date IS NULL)"
            . $addParams
            . " ORDER BY te_doc_process_date";

        if ($limit!='')
            $sql .= " LIMIT 0 , ".$limit;

        $rs = $db->query($sql);


        if($rs->TotalRow == 0){
            $sql	= " SELECT te_mlsp_id, sale_trans_id, county, street_name, street_number, street_suffix, unit_no, street_dir_suffix, address, tax_lot, tax_block"
                . " FROM ". $this->Data['Sales_Table']
                . " WHERE te_is_mark_for_deletion = 'N' AND te_mlsp_id = ". $MLSP_ID
                . " AND (te_doc_process_flag  In ('U', 'A', 'M') AND (te_doc_process_date <= NOW() OR te_doc_process_date IS NULL))"
                . $addParams
                . " ORDER BY te_doc_process_date";

            if ($limit!='')
                $sql .= " LIMIT 0 , ".$limit;

            $rs = $db->query($sql);
        }

        return ($rs->fetch_array());
    }

    #=========================================================================================================================
    #	Function Name	:   SetSoldListingDocumentDownloadFlag
    #-------------------------------------------------------------------------------------------------------------------------
    public function SetSoldListingDocumentDownloadFlag($Process_Flag='N', $MLS_NUM, $MLSP_ID)
    {
        global $db;

        # Define query
        $sql =	" UPDATE ". $this->Data['Sales_Table'].
            " SET te_doc_process_flag = '".$Process_Flag."', te_doc_process_date = NOW()".
            " WHERE sale_trans_id = '".$MLS_NUM."' And te_mlsp_id = ".$MLSP_ID;

        $db->query($sql);

        return true;
    }

}

?>